% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RCy3.R
\name{setCatchupFilterSecs}
\alias{setCatchupFilterSecs}
\title{Set Catchup Filter Delay}
\usage{
setCatchupFilterSecs(secs = 1)
}
\arguments{
\item{secs}{Number of seconds to delay.}
}
\value{
None
}
\description{
This function sets an internal delay variable that allows
Cytoscape to "catchup" prior to subsequent functions. Call without specifying
\code{secs} to restore default value.
}
\details{
This delay is only necessary while concurrency bugs exist in the
Cytoscape application. This delay may need to be increased from the default
value in certain use cases, e.g., larger networks.
}
\examples{
{
setCatchupFilterSecs(2)
setCatchupFilterSecs() #restores default delay
}
}
\seealso{
setModelPropagationSecs, setCatchupNetworkSecs
}
